=== debian/changelog ===
pescetti (0.5-5) unstable; urgency=medium

  * update watch file
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 00:23:44 +0100

pescetti (0.5-4) sid; urgency=medium

  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/control: don't recommend dds (Closes: #921181)
                    (binary package disappeared from source package)
  * debian/control: as dds is no longer available, update description

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 04 Feb 2019 20:03:44 +0100

pescetti (0.5-3) unstable; urgency=medium

  * debian/control: use debhelper 11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add VCS URLs
  * debian/rules: let it compile under java 9  (Closes: #874005)
                  (thanks to Emmanuel Bourg for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Apr 2018 16:13:44 +0100

pescetti (0.5-2) unstable; urgency=medium

  * new maintainer
  * debian/control: use debhelper 10
  * debian/source: added
  * debian/control: bump standard to 3.9.8

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Jan 2017 20:13:44 +0100

pescetti (0.5-1) unstable; urgency=low

  * Installs pbn + dds conversion programs
  * Add dependency on gettext
  * Use javahelper and dh 7
  * First Debian Upload (Closes: #559688)

 -- Matthew Johnson <mjj29@debian.org>  Sun, 15 Nov 2009 20:13:44 +0000
