=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk

VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version/s/Version: \(.*\)-[^-]*$$/\1/p')

%:
	dh $@ --with javahelper

override_dh_auto_test:

override_dh_auto_build:
	# Add here commands to compile the package.
	make JAR=fastjar JAVAC=${JAVA_HOME}/bin/javac JCFLAGS="-encoding utf8 -source 1.8 -Xlint:all" JAVA=java PREFIX=/usr all

override_dh_auto_clean:
	# Add here commands to clean up after the build process.
	make clean

override_dh_auto_install:
	# Add here commands to install the package into debian/tmp
	make DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install

override_dh_installdocs:
	dh_installdocs -i README dealing-howto.pdf

override_dh_install:
	dh_install -i --sourcedir=$(CURDIR)/debian/tmp

override_dh_link:
	dh_link -ppescetti usr/share/pescetti/pescetti.jar usr/games/pescetti
	dh_link -ppescetti usr/share/pescetti/dup2dds.jar usr/games/dup2dds

override_jh_manifest:
	jh_manifest -j"$(JAVA_HOME)" debian/pescetti/usr/share/pescetti/pescetti.jar  debian/pescetti/usr/share/pescetti/dup2dds.jar
